Keysight U7231B DDR3 Compliance Test Application

Version 02.00.0000 or greater

© Keysight Technologies 2008-2012, 2014.

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

August, 2014

Table of Contents

DDR3 Compliance Test Application—At a Glance
Starting the DDR3 Compliance Test Application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
To set load preferences
Setting Up the Test Environment
Selecting Tests
Configuring Tests
User-Defined Compliance Limits
Connecting the Oscilloscope to the DUT
Running Tests
To select the "store mode"
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
Viewing Results
To delete trials from the results
To show reference images and flash mask hits
To change margin thresholds
To change the test display order
To set trial display preferences
To set HTML Report preferences
Viewing/Exporting/Printing the Report
To export the report
To print the report
Understanding the Report
Saving Test Projects
To set AutoRecovery preferences
User Defined Add-Ins
To install an add-in
To remove an add-in
Controlling the Application via a Remote PC
To check for the App Remote license
To identify the remote interface version
To enable the remote interface
To enable remote interface hints
Using a Second Monitor

U7231B DDR3 Compliance Test Application

Online Help


DDR3 Compliance Test Application—At a Glance

Keysight U7231B DDR3 Compliance Test Application Online Help

DDR3 Compliance Test Application—At a Glance

The Keysight U7231B DDR3 Compliance Test Application is a DDR3 (Double Data Rate 3) test solution that covers electrical, clock and timing parameters of the JEDEC (Joint Electronic Device Engineering Council) specifications. The software helps you in testing all the unbuffered DDR3 device under test (DUT) compliance, with the Keysight Infiniium oscilloscopes.

The DDR3 compliance test application requires:

  • U7231B DDR3 Compliance Test Application software.

  • The minimum version of Infiniium oscilloscope software (see the U7231B test application release notes).

  • Keyboard, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • Mouse, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • RAM reliability test software.

  • 1169A, 1168A, 1134A, 1132A or 1131A InfiniiMax probe amplifiers.

  • N5381A or E2677A differential solder-in probe head, N5425A ZIF probe head or N5426A ZIF tips, E2678A differential socketed probe head.

  • Any computer motherboard system that supports DDR3 memory.

  • U7231B DDR3 Compliance Test Application license.

  • E2688A Serial Data Analysis and Clock Recovery software license.

  • Keysight also recommends using a second monitor to view the automated test application.

To use the automated test application, see:

  • Starting the U7231B DDR3 Compliance Test Application

    • To view/minimize the task flow pane

    • To view/hide the toolbar

  • Creating or Opening a Test Project

    • To set load preferences

  • Setting Up the Test Environment

  • Selecting Tests

  • Configuring Tests

  • User-Defined Compliance Limits

  • Connecting the Oscilloscope to the DUT

  • Running Tests

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

    • To set the display preferences

    • To set the run preferences

  • Automating the Application

  • Viewing Results

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change margin thresholds

    • To change the test display order

    • To set trial display preferences

    • To set HTML Report preferences

  • Viewing/Exporting/Printing the Report

    • To export the report

    • To print the report

  • Understanding the Report

  • Saving Test Projects

    • To set AutoRecovery preferences

  • User Defined Add-Ins

    • To install an add-in

    • To remove an add-in

  • Controlling the Application via a Remote PC

    • To check for the App Remote license

    • To identify the remote interface version

    • To enable the remote interface

    • To enable remote interface hints

For more information on performing DDR3 compliance tests, see:

  • DDR3 Compliance Testing Methods of Implementation


Starting the DDR3 Compliance Test Application

Keysight U7231B DDR3 Compliance Test Application Online Help

Starting the DDR3 Compliance Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze>Automated Test Apps>U7231B DDR3 Test App.

  2. The DDR3 Compliance Test Application window appears.

See Also

  • To view/minimize the task flow pane

  • To view/hide the toolbar

Next

  • Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the DDR3 Compliance Test Application

To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View>Task Flow from the menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the Task Flow button in the pane.


To view/hide the toolbar

Starting the DDR3 Compliance Test Application

To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, choose View>Toolbar from the menu.


Creating or Opening a Test Project

Keysight U7231B DDR3 Compliance Test Application Online Help

Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the menu.

    A new, empty project, with all the default settings is created.

To open an existing test project:

  1. Choose File>Open Project... from the menu.

  2. In the Open dialog, browse to a test project directory and select the desired ".proj" file.

  3. Click Open.

See Also

  • To set load preferences

Next

  • Setting Up the Test Environment


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Setting Up the Test Environment

Keysight U7231B DDR3 Compliance Test Application Online Help

Setting Up the Test Environment

  1. Click the Set Up tab, or click the Set Up box in the Task Flow pane.

  2. Select the Test Mode, either Compliance or Custom.

  3. Select the speed/data rate:

    • For Compliance Mode, select the Speed Grade of the DUT signal you want to test within the provided options.

    • For Custom Mode, enter the Custom Data Rate value.

  4. The Compliance and Custom selections show the Threshold Settings button.

Click the Threshold Settings button to access the Signal Measurement Threshold Settings and the Burst Trigger Threshold Settings through a user-friendly GUI.

  5. The Custom selection shows additional command buttons - Set Mask File and Derate Table File.

Click the Set Mask File button to view or select test mask files for eye diagram tests.

Click the Derate Table File button to view or select a derating table file for all the tests that support the derating operation.

  6. The Custom selection also allows you to type in the data rate of the DUT signal. Whenever the data rate combo box is disabled, click the Change Setting button to enable it.

  7. Type in or select the Device Identifier from the drop-down list.

  8. Type in or select the User Description from the drop-down list.

  9. Type in any desired Comments.

Note

The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time Speed Grade, Test Mode or SDRAM Type options change. This is because some tests are only applicable under certain conditions of speed grade, test mode or SDRAM type. For example, the Compliance Test Mode selection shows a different test list compared to the Custom Test Mode selection.

See Also

  • Selecting Tests


Selecting Tests

Keysight U7231B DDR3 Compliance Test Application Online Help

Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

    Note

    The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time a selection is made.

    Some things to note:

    • Checking a parent node/group will check all available sub-groups or tests.

    • Unchecking a parent node/group will uncheck all sub-groups or tests.

    • A parent node is checked if all subgroups are checked.

    • A parent node is unchecked if ANY subgroup is unchecked.

    Note

    If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

Using the Right-Click Pop-Up Menu

When you right-click in the test pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests Have Already Been Run

If tests have already been run, you will see their status in the Select Tests tab.

The marks have the following meanings:

The test passed.

The test failed.

The test has not been run, or no tests in the group have been run.

The test is currently running.

Some tests in the group have run and passed.

Some tests in the group have run and failed.

Some tests in the group have passed and some have failed; not all of the tests have been run.

Some tests in the group have passed and some have failed; all of the tests have run.

All tests in the group have run and passed.

All tests in the group have run and failed.

For more information, see:

  • DDR3 Compliance Testing Methods of Implementation

Next

  • Configuring Tests


Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. Select either Compliance Mode or Debug Mode.

    • Compliance Mode — lets you choose the configuration options necessary to meet the compliance standard tests.

    • Debug Mode — lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

    A description of the selected configuration item appears in the lower, right part of the application window.

Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

Tip

  • A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

  • A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

  • A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

Next

  • User-Defined Compliance Limits

  • Connecting the Oscilloscope to the DUT


User Defined Compliance Limits

Keysight U7231B DDR3 Compliance Test Application Online Help

User-Defined Compliance Limits

  1. You are allowed to define the compliance limits by using the User-Defined Compliance Limits feature.

  2. With this feature, you can:

  • Activate or refresh a limit set

  • Create/edit a limit set

Activate Limit Set

  1. There are two ways to activate a limit set:

  • Select the Compliance limits from the Tools main menu. Click on the Activate/Refresh limit set...

  • Click on the Activate/Refresh Limit Set... button located in the Configure tab.

  2. In the Activate/Refresh Compliance Limit Set dialog, you can either select an official limit set or user-defined limit set. Official limit sets are referred to the limit sets provided by Keysight Technologies. Usually, these limit sets reflect different versions of official specifications. User-defined limit sets are those limits created by the end-users. They may contain different values from any official specifications.

  3. Click the Activate/Refresh button to activate the selected limit set and close this dialog.

Create a Limit Set

  1. To select this option, select Compliance limits from the Tools main menu and click on Create/Edit limit set...

  2. Click the Load Limit Set... button to load an existing official or user-defined limit set.

  3. Select a test limit and click the Edit button to amend and modify accordingly as desired.

  4. To combine test limits into one limit which covers more than one test ID, select two or more test limit rows and click the Combine... button.

Type a summary name and description to identify the new combined test limit and click Finish.

  5. You can split a combined test limit into single test limits. Select the row and click the Split... button.

  6. In the below following example, a 2-test limit is split into two single-test limits:

  7. Click Finish.

  8. Rename the new limit set with a unique name which is different from the name of any official limit set.

  9. Click Save As... to save your custom limit set to a file.


Connecting the Oscilloscope to the DUT

Keysight U7231B DDR3 Compliance Test Application Online Help

Connecting the Oscilloscope to the DUT

  1. Click the Connect tab, or click the Connect box in the Task Flow pane.

  2. Follow the displayed instructions for connecting the oscilloscope to the device under test.

  3. When connections to the device under test have been made, check the I have completed these instructions box.

For more information, see:

  • DDR3 Compliance Testing Methods of Implementation

Next

  • Running Tests


Running Tests

Keysight U7231B DDR3 Compliance Test Application Online Help

Running Tests

Note

You should allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip
It is a good idea to calibrate the oscilloscope at least once a year or when the Calibration ΔTemp is greater than ±5 °C. The Calibration ΔTemp is found in the Help>About Infiniium... menu on the Infiniium oscilloscope.

The Run Tests tab's settings let you run the selected tests once or multiple times. When you run tests multiple times, there are options for selecting which trials are stored and how long tests are run.

To run the selected tests once:

  1. Start the test run.

    There are several ways to run selected tests:

    • Click Run Tests in the Task Flow pane.

    • Click [image] in the toolbar.

    • Select a branch in the Select Tests tab; then, click [image] in the toolbar.

    • Select the Run Tests tab, make sure the Once "run until" option is selected, and click the big Run button.

For more information on additional run options, see:

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

  2. If there are existing test results, you are asked if you would like to keep them or re-test (delete) them.

    If you would like to keep the existing test results to compare against new results, select Append New Trials.

    Select Replace ALL Existing Trials if you would like to delete the existing test results.

  3. While the tests are running, status dialogs appear to inform you about the test progress.

  4. When the tests have completed, click OK.

See Also

  • To set the display preferences

  • To set the run preferences

Next

  • Viewing Results


To select the "store mode"

Running Tests

To select the "store mode"

When running tests multiple times, you can select which trials are stored.

  1. Select the Run Tests tab.

  2. In the Store Mode area, select:

    • Best — stores the results of the best N trials.

    • Event — stores the results of N trials in which the event is detected. The event is determined in the Event area. See To specify the event.

    • Last — stores the results of the last N trials.

    • Worst — stores the results of the worst N trials.

    Up to 64 trials can be stored.

    If you change the Store Mode when test results exist, the existing results will be deleted.

    The Store Mode selection affects the trial display options in the Report tab of the Preference dialog. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

The "run until" option lets you specify whether tests are run once or multiple times.

  1. Select the Run Tests tab.

  2. In the Run Until area, select:

    • Forever — runs the tests repeatedly until you click the Cancel button.

    • N Times — runs the tests N times. When this option is selected, you can specify the number of runs and whether pauses occur between each run.

    • Once — runs the tests only once. This is the default setting.

    When multiple runs are selected, you can use the trial display options in the Report tab of the Preference dialog to specify how many trials are displayed in the test report. See To set trial display preferences.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

You can configure the test application to send email whenever a run pauses or ends.

  1. Select the Run Tests tab.

  2. In the Run Until area, check Send email.

  3. Click Configure.

  4. In the Configure Email dialog, enter your To and From email addresses and the hostname of the SMTP Server.

  5. Click OK.

Pauses can occur between runs when running a specific number of times (see To run multiple times) or when pausing on an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

You can set up test runs to pause or stop on events which are checked at the end of each test.

  1. Select the Run Tests tab.

  2. In the Run Until area, check On event.

  3. In the drop-down selection field that appears, select either:

  • Pause — causes the run to pause when the event is detected.

  • Stop — causes the run to stop when the event is detected.

  4. In the Event area, specify the type of event. See To specify the event.

Pauses or stops can be set up to automatically send email (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

In the Store Mode area when you have selected Event (see To select the "store mode") or in the Run Until area when you have selected to pause or stop on an event (see To pause or stop on events), the Event area appears so that you can specify the event.

  1. In the Event area, select the type of event:

  • Fail — causes the event to fire when a prerequisite test or selected test fails.

  • Margin < N — causes the event to fire when a test generates a margin < specified. When this option is selected, enter the minimum required margin percentage.

  • Pass — causes the event to fire when a test passes (excluding prerequisite tests).

A tilde "~" character in the event selection drop-down shows that the event is unavailable. If you select an event type that is not available, a dialog tells you why. For example, the Pass condition is only available when the Store Mode is set to Best, Event, or Last. As such, the condition appears as ~Pass when the Store Mode is set to Worst.


To set the display preferences

Running Tests

To set the display preferences

Information, warning, and error conditions can occur while running tests. The display preferences let you choose whether message dialogs are shown. And, there are other display preferences that affect what happens as tests are run.

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

  2. In the Preferences dialog, select the Display tab.

  3. In the Display tab, you can choose to show the following types of message dialogs:

    • Information dialogs.

    • Warning dialogs.

    • Error dialogs.

    Note

    Messages that require you to make a choice, such as "OK/Cancel" and "Yes/No" are always enabled.

  4. Also, you can choose to:

    • Invert scope display — (white background) when the application captures the screen shots. Note that no inversion takes place if the oscilloscope's ColorGrade is enabled.

    • Keep application on top — Always keep the application's main dialog on the top of the Infiniium application. Note that the mid-run dialogs are always displayed on the top.

    • Log events — Use this option only when directed to by Keysight Support. Note that this option degrades the runtime performance.

    • Show tooltips — By enabling this option, the tooltips appear as you move the pointer over various controls in the application.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


To set the run preferences

Running Tests

To set the run preferences

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

  2. In the Preferences dialog, select the Run tab.

  3. In the Run tab, specify Prompts settings:

    • Beep when user prompted — causes the oscilloscope to beep when there is prompt for user input.

    • Beep only during run — specifies that beeps only occur during runs.

  4. Specify Test Abort Action settings:

    • Continue the run — causes tests to continue running after a test aborts. When this option is selected, you can view problem descriptions after the run ends.

    • Stop the run — causes the run to stop after a test aborts, and the problem is reported immediately.

    Note that these settings do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


Automating the Application

Keysight U7231B DDR3 Compliance Test Application Online Help

Automating the Application

The Automation tab enables you to construct scripts of commands that drive the execution of the application.

Select from two modes, Script and Files.

Script Mode

In Script mode, the application will execute the commands found in the script text box.

You may either type in commands (one per line) or use the Commands… generator to construct them. A script may be saved to a text file to make it easy to switch to the Files automation method.

The command generator is opened by clicking the Commands… button. It can generate single commands or sample scripts that demonstrate how commands work together.

In Single Command mode, select the tab that corresponds to the real application tab containing the controls you want to affect. Then select which action you want to perform. The screen will then show you what automation command performs that action. Most commands are shown with placeholder parameters along with instructions on how to customize them.

In Entire Script mode, select a script that describes a task you would like to know more about.

Once you have found the command or script you want, you may copy it to the clipboard or automatically append it to the script in the Automation tab. It is optional for you to include instructions to guide you in customizing the commands.

Note

In the Automation tab script, lines starting with the pound symbol (#) do not execute.

Files Mode

In Files mode, the application will execute the commands it finds in the files shown in the list. The list is constructed and managed via the buttons on the left.

Execution

Click the Start button to begin Script or Files execution.

Before the first test executes, you may abort by clicking the same button (now labeled Stop) again. Once the run begins, the main dialog goes away so you would use the Run Dialog’s Stop button instead.

Settings Status

Some commands will make visible changes to the application’s tabs, such as selecting a test. Other commands only modify invisible settings, such as “SuppressMessages”. The Settings status dialog displays the current value of the invisible properties.

Command Line

To experiment with a command, type it in the Try a command field and hit <Enter> to execute it. If it has a visible effect, such as selecting a test, you may then go to another tab to see if it behaves as expected.


Viewing Results

Keysight U7231B DDR3 Compliance Test Application Online Help

Viewing Results

  1. Click [image] in the toolbar, or click the Results tab.

    The Results tab contains three resizable panes for test results information. If you select one of the tests in the top pane, details and reference images (if any) are shown in the lower panes.

    The summary of the test trial is displayed in the bottom left pane. It also shows the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

    The bottom right pane may have several tabs, depending on the selected Report Preferences. If more than one trial is selected, then the first tab will be the Summary tab. It shows the summary of all the test trials. A maximum of 64 trials can be displayed at any one time.

    If the worst first is selected as the trial display option, the Worst Trial will be the next tab after the Summary tab, followed by other trials in the order of trial performance.

    The reference images will appear in the bottom right pane for the selected trials. See To show reference images and flash mask hits for more details on reference images.

Tip
A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

See Also

  • To delete trials from the results

  • To show reference images and flash mask hits

  • To change margin thresholds

  • To change the test display order

  • To set trial display preferences

  • To set HTML Report preferences

Next

  • Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

  1. In the Results tab, choose one of these ways to delete a trial:

  • While a test result entry (at the upper pane) or trial tab (at the lower pane) has input focus, either click on the toolbar 'delete' button or press the delete key on the keyboard OR:

  • Another option is to right-click at a test result (at the upper pane) and select a trial or test to delete OR:

  • Right-click inside the display area of the trial summary tab (at the lower pane):

  2. Select the trial to delete:

  3. If other tests have results that were generated during the same trial run as the trial you are deleting, you will be asked if you wish to delete these tests at the same time.

Note

The trial numbers of the affected results may not match. The application presents you with those results that were generated during the same run. You can decide to delete those other trials as well.

  4. Once you have selected the trials to delete and clicked OK, you get a confirmation dialog:

  5. The remaining trials are renumbered downwards to fill in the hole left by the deleted trial:

  6. If you delete the last remaining trial of a test, the entire test results are removed:

Note

There are two situations in which you are not allowed to delete a trial:

  • Case 1: The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the DDR3 Compliance Test application, the maximum number of trials displayed is 64. For example:

a Let's assume N is 64 (the maximum number of trials displayed).

b You have run more than N trials of a test.

c Now, you can delete up to N-1, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests; however, you can delete the entire test.

  • Case 2: The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

    This opens the reference image dialog.

    In the reference image dialog, you can:

    • Click the [image] flash red pixels button to highlight the points of failure.

    • Click the [image] zoom in or [image] zoom out buttons to resize the dialog.

  2. Click the [image] close button to close the reference image dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the Margin Reporting area, you can:

    • Enable or disable margin highlighting.

    • Change the percent of margin at which to give warnings or critical failures.

  4. Click OK to save your changes and close the Preferences dialog.


To change the test display order

Viewing Results

To change the test display order

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the Test Display area, you can order tests chronologically or use the same ordering as in the Select Tests tab.

  4. Click OK to save your changes and close the Preferences dialog.


To set trial display preferences

Viewing Results

To set trial display preferences

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the Trial Display area, you can:

    • Select the maximum number of trials, up to 64, whose details are displayed at one time.

    • Order trial details chronologically or by "best", "worst", or "last" trial first.

    • Specify whether screens captured during the run are displayed in the Results tab.

Note that the "worst", "best", or "last" trial depends on the "store mode" setting in the Run Tests tab. See To select the "store mode".

  4. Click Apply to save the changes and click OK to close the Preferences dialog.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To set HTML Report preferences

Viewing Results

To set HTML Report preferences

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the HTML Report area:

    • When the “Jump” option is checked, then clicking on the HTML Report tab (main dialog) will cause the report to scroll down to the location of the test result that is currently selected on the Results tab.

    • If no test is selected on that tab, the HTML Report will stay at the top.

    • Regardless of the “Jump” setting, double-clicking a row on the Result tab will automatically display the HTML Report tab and scroll to that result.


Viewing/Exporting/Printing the Report

Keysight U7231B DDR3 Compliance Test Application Online Help

Viewing/Exporting/Printing the Report

  • To view the HTML test report, click the Html Report tab.

See Also

  • To export the report

  • To print the report

Next

  • Saving Test Projects


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the DDR3 Compliance Test application's menu, choose File>Export Results> from the menu.

    There are two options for exporting the HTML test report: CSV or HTML.

To export results in CSV (comma-separated values) format

Select the CSV option to export the results as a comma-separated list of values.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

There are two options for exporting HTML format test reports:

  • Single-File — To save a single-file report, use the "save as" type "Web Archive, single file (.mht)".

Note

Single-file reports will not contain hyperlinks in the summary table (due to a .mht format limitation). If you want these hyperlinks, use the multi-file format.

  • Multi-File — If your report is large and you would like to use links within the report, select the HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files. It creates a folder with the specified name that may be copied to any computer.

To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

  • To preview the HTML test report printout, click [image] or choose File>Print Preview... from the menu.

  • To print the HTML test report, click [image] or choose File>Print... from the menu.


Understanding the Report

Keysight U7231B DDR3 Compliance Test Application Online Help

Understanding the Report

The information in this topic will help you understand the different sections of the DDR3 HTML Report.

The top section of the DDR3 HTML Report contains the report header. The figure that follows shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the oscilloscope's application, the model number and the serial number of the oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box. If any of this information was not entered, it will not be displayed here.

Summary Section

The Summary Section gives an overview for each of the tests that were run. The Pass column shows if the tests pass or fail. The Actual Value column shows the worst case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set in Margin Thresholds (in Preferences).

Measurement Section

The next section of the report shows the statistics for each of the selected measurements.


Saving Test Projects

Keysight U7231B DDR3 Compliance Test Application Online Help

Saving Test Projects

To save test settings and results to the current project directory:

  1. Choose File>Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the menu.

  2. In the Save Project As... dialog, enter the device name and location.

    Project files will be saved in a directory whose name is the device name.

  3. Click OK.

For more information, see:

  • DDR3 Compliance Testing Methods of Implementation

See Also

  • To set AutoRecovery preferences


To set AutoRecovery preferences

Saving Test Projects

To set Auto Recovery preferences

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the Auto Recovery area, you can choose:

    • To auto-save results after each trial or permutation even if the entire multi-trial is not completed. This option enables full recovery.

    • To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


User Defined Add-Ins

Keysight U7231B DDR3 Compliance Test Application Online Help

User-Defined Add-Ins

If there are measurements you would like the compliance test application to make that are not currently included in its test list, you can use the Keysight N5467A User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into existing compliance applications. Please see the UDA documentation for information on how to create an add-in.

See Also

  • To install an add-in

  • To remove an add-in


To install an add-in

User-Defined Add-Ins

To install an add-in

To install an add-in:

  1. Use the File menu:

You will be prompted for the location of the add-in's installer (created by the N5467A UDA tool):

and then reminded that the application will need to restart to complete the installation:

[Caution]

If your project has unsaved test results, choose Cancel and save the project before retrying.

  2. Restart the application, and you will receive a notice that there is an active add-in:

Add-in tests are only visible in Debug Mode, so when there is an active add-in installed, the compliance application will start up in this mode.

Add-in tests are displayed in their own test group on the Select Tests tab:


To remove an add-in

User-Defined Add-Ins

To remove an add-in

To remove an add-in:

  1. Use the File menu:

You will be reminded that the application will need to restart to complete the installation:

[Caution]

If your project has unsaved test results, choose Cancel and save the project before retrying.


Controlling the Application via a Remote PC

Keysight U7231B DDR3 Compliance Test Application Online Help

Controlling the Application via a Remote PC

If the oscilloscope has the App Remote license option installed (for the N5452A remote interface), the DDR3 Electrical Performance Compliance Test application's Preference dialog will have a Remote tab for enabling the remote interface and setting remote options.

The N5452A remote interface lets you control Infiniium compliance applications from a remote PC. It comes with ready to run executables, but it also lets you create custom programs using a .NET 2.0 programming language or the National Instrument's LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

  • Launch and close applications.

  • Configure options.

  • Run tests.

  • Obtain results.

  • Control when and where dialogs are displayed.

  • Save and load projects.

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight Web site.

See Also

  • To check for the App Remote license

  • To identify the remote interface version

  • To enable the remote interface

  • To enable remote interface hints


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium oscilloscope's main menu, choose Help>About Infiniium.

  2. In the license list, check for the App Remote license as shown below.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the DDR3 Compliance Test application's menu, choose Help>About....

  2. In the About dialog, the remote interface version is listed above other version information.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. Check the Enable remote interface option if you need to access the application remotely.

If you are performing the tests with the application's user interface and want to ensure no remote users accidentally interfere with you, disable the remote interface by un-checking this option.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the DDR3 Compliance Test application's menu, choose View>Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. In the remote options area, check Show remote interface hints in language.

When this option is checked:

    • You can select the remote programming language described in the tips.

    • Tooltips related to the remote interface commands appear when you click the toolbar.

    • Various controls in the tabs will have a context menu item added as "Remote interface hint…".

    • The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Using a Second Monitor

Keysight U7231B DDR3 Compliance Test Application Online Help

Using a Second Monitor

A second monitor can be used to display the automated test application, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Second Monitor on the rear panel of the oscilloscope and not to the port labeled VGA. (The VGA output is only used to display the screen of the oscilloscope on the external monitor.)

Before starting the automated test application, you should be sure that the second monitor is properly configured:

  1. Exit the oscilloscope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  4. Select Display.

  5. Select the Settings tab.

  6. Select monitor two and set the Screen resolution and Color quality for your monitor.

  7. Enable the Extend my Windows desktop onto this monitor control.

  8. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.

See Also

  • DDR3 Compliance Test Application—At a Glance


Restricted Rights Legend

Keysight U7231B DDR3 Compliance Test Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight U7231B DDR3 Compliance Test Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight U7231B DDR3 Compliance Test Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight U7231B DDR3 Compliance Test Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.


Warranty

Keysight U7231B DDR3 Compliance Test Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.